/**
  *  \file arch/unix/platform.h
  */
#ifndef PCC_V2_ARCH_UNIX_PLATFORM_H
#define PCC_V2_ARCH_UNIX_PLATFORM_H

#include "arch/generic.h"

struct Platform : GenericPlatform {
    static void postGraphicsInit();
    static void initPlatform();
    static void initOptions(StandardCommandLineParser& par);
    static void initConsoleOutput();
    static inline void initGuiOutput() { initConsoleOutput(); }
    static bool readConsoleLine(string_t prompt, string_t& line);
    static void showOutput();
    static string_t getDataDirectory();
    static string_t getResourceDirectory();
    static string_t getLanguageCode();
    static string_t getUserSettingsDirectory(int version);
    static char** convertArgumentsToUtf8(char** argv);
    static void freeArguments(char** argv);

    // Our own platform-specific functions:
    static bool convertUtf8ToFileName(string_t& out, string_t str, bool placeholders = false);
    static string_t convertFileNameToUtf8(string_t fn);

    static const char LINE_SEPARATOR[];
    static const char PATH_SEPARATOR = '/';
};

#endif
