/**
  *  \file client/tiles/shipequipment.h
  *
  *  (c) 2001-2020 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_CLIENT_TILES_SHIPEQUIPMENT_H
#define PCC_V2_CLIENT_TILES_SHIPEQUIPMENT_H

#include "client/wtile.h"
#include "ui/table.h"
#include "cpluslib/holder.h"

class WColorFrame;

/// Ship equipment tile (crew/arms/damage).
class WShipEquipmentTile : public WObjectSelectionObserverTile {
    ObjectHolder h;
    WColorFrame* cf_r;
    WColorFrame* cf_g;
    WColorFrame* cf_s;
    bool forHistory;

    void drawShipEquipmentTile(UIAbstractTableWriter& tw);
 public:
    WShipEquipmentTile(GObjectSelection& selection, bool forHistory);
    ~WShipEquipmentTile();
    void drawData(GfxCanvas& can);
};

/// Narrow ship equipment tile (crew/arms/damage).
class WNarrowShipEquipmentTile : public WObjectSelectionObserverTile {
 public:
    WNarrowShipEquipmentTile(GObjectSelection& selection);
    void drawData(GfxCanvas& can);
};

#endif
