/**
  *  \file client/tiles/ufosettings.h
  *  \brief Ufo Settings tile
  *
  *  (c) 2001-2020 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_CLIENT_TILES_UFOSETTINGS_H
#define PCC_V2_CLIENT_TILES_UFOSETTINGS_H

#include "client/wtile.h"
#include "ui/widgets/button.h"

/** Ufo settings tile. Displays the "keep" and "other end" properties
    of an Ufo, and allows the user to use them. */
class WUfoSettingsTile : public WObjectSelectionObserverTile {
    UIButton btn_k;
    UIButton btn_x;

    void init();
    void onKeep();
    void onOtherEnd();
 public:
    WUfoSettingsTile(GObjectSelection& selection);
    ~WUfoSettingsTile();
    void drawData(GfxCanvas& can);
};

#endif
