/**
  *  \file int/ternary.h
  *  \brief Interpreter: Ternary Operations
  *
  *  (c) 2001-2020 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_INT_TERNARY_H
#define PCC_V2_INT_TERNARY_H

#include "cpluslib/types.h"

class IntValue;

/** Minor opcode for ternary operation. These are stored in the "minor" field of an
    IntOpcode whose major opcode is IntOpcode::maTernary. */
enum IntTernaryOperation {
    teKeyAdd                    ///< Add key/command to keymap, return keymap.
};

const char* getTernaryName(uint8_t op);

IntValue* executeTernaryOperation(uint8_t op, IntValue* a, IntValue* b, IntValue* c);

#endif
