/**
  *  \file ui/widgets/checkbox.h
  *  \brief UICheckbox widget
  *
  *  (c) 2001-2020 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_UI_WIDGETS_CHECKBOX_H
#define PCC_V2_UI_WIDGETS_CHECKBOX_H

#include "ui/widgets/abstractcheckbox.h"

/** \class UICheckbox
    \brief Classic "yes/no" checkbox

    This provides a yes/no checkbox which users can toggle by clicking.
    Descendants can override getPixmap() to provide different images. */

class UICheckbox : public UIAbstractCheckbox {
 protected:
    void click(int);

    int value, max;
 public:
    UICheckbox(int aid, string_t aname, UIKey akey, int max);
    ~UICheckbox();

    void setValue(int value);
    int  getValue() const { return value; }
    Ptr<GfxPixmap> getPixmap();

    Signal1<int> sig_changed;
};

#endif
